<?php
namespace App\Ntfy;

use Psr\Log\LoggerAwareTrait;

class Ntfy
{
    use LoggerAwareTrait;
    protected string $domain;
    function __construct(string $domain)
    {
        $this->domain = $domain;
    }

    function send(string $topic, string $title, string $message): void
    {
        $this->logger->debug("Sending ntfy notification", ["topic"=>$topic, "title"=>$title, "message"=>$message]);
        $result = file_get_contents(
            'https://'.$this->domain.'/'.$topic, false, stream_context_create(
                ['http' => [
                'method' => 'POST', 
                'header' =>
                    "Content-Type: text/plain\r\n" .
                    "Title: $title\r\n",
                'content' => $message]
                ]
            )
        );
        $this->logger->debug("Result of ntfy notification", [$result]);
    }

}